function [dang, tf] = div_angle(ang,pts,KK)


R = rotx(ang,'deg');
tf = projective2d(inv(KK)*R*KK);

[x, y] = transformPointsForward(tf,pts(:,1),pts(:,2));
pts2 = [x y];

kp(1,:) = pts2(1,:) - pts2(2,:);
kp(2,:) = pts2(3,:) - pts2(4,:);
for k=1:2
    kp(k,:) = kp(k,:)/norm(kp(k,:));
end
s = det(kp(1:2,:));
dang = asin(s)*180/pi;

if nargout<2
    fprintf('angle %g deg   divergence %g deg\n',ang,dang);
end
